<?php
// локальная страница проверки ab.php
header('Content-Type: text/html; charset=UTF-8');
header('Expires: Thu, 18 Aug 1994 05:00:00 GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');
header('X-Robots-Tag: noindex');

require_once(__DIR__.'/data/conf.php');

if ($ab_config['check_url'] == '') {die('{"error": "No Cloud"}');}

if ($_SERVER['REQUEST_METHOD'] != 'POST') {die('{"error": "Error NoPost"}');}

$time = time();

// пустой реферер запросившего скрипт:
$referer = isset($_SERVER['HTTP_REFERER']) ? strip_tags(trim($_SERVER['HTTP_REFERER'])) : '';
if ($referer == '') {die('{"error": "Error 1"}');}

// пустой юзерагент:
$useragent = isset($_SERVER['HTTP_USER_AGENT']) ? trim(strip_tags($_SERVER['HTTP_USER_AGENT'])) : '';
if ($useragent == '') {die('{"error": "Error 2"}');}

// язык у норм браузеров есть всегда:
$accept_lang = isset($_SERVER['HTTP_ACCEPT_LANGUAGE']) ? trim(strip_tags($_SERVER['HTTP_ACCEPT_LANGUAGE'])) : die();
if ($accept_lang == '') {die('{"error": "Error 3"}');}

// домен (host) с которого вызвали скрипт:
$refhost = parse_url($referer, PHP_URL_HOST);

// unix дата на сайте:
$date = isset($_POST['date']) ? (int)trim(preg_replace("/[^0-9]/","", $_POST['date'])) : 0;

// полный хэш:
$h1 = isset($_POST['h1']) ? trim(preg_replace("/[^0-9a-z]/","", $_POST['h1'])) : die();

// ип:
$ip = isset($_POST['ip']) ? trim(preg_replace("/[^0-9a-zA-Z\.\:]/","", $_POST['ip'])) : die();

// id клика:
$cid = isset($_POST['cid']) ? trim(preg_replace("/[^0-9\.]/","", $_POST['cid'])) : die('{"error": "Error 4"}');

$hash = md5($ab_config['pass'].$refhost.$useragent.$ip.$date); // код для куки

//sleep(3);

echo '{"cookie":"'.$hash.'"}';
